Loading...
Searching...
No Matches
osmium::invalid_location Struct Reference

`#include <location.hpp>`

Inheritance diagram for osmium::invalid_location:
[legend]
Collaboration diagram for osmium::invalid_location:
[legend]

## Public Member Functions

| invalid_location (const std::string &what)
| invalid_location (const char *what)

## Detailed Description

Exception signaling an invalid location, ie a location outside the -180 to 180 and -90 to 90 degree range.

## Constructor & Destructor Documentation

## invalid_location() [1/2]

osmium::invalid_location::invalid_location | ( | const std::string & | what | ) |

inlineexplicit

## invalid_location() [2/2]

osmium::invalid_location::invalid_location | ( | const char * | what | ) |

inlineexplicit

The documentation for this struct was generated from the following file:

- include/osmium/osm/location.hpp